/**Begin D:\PDM_UPGRADE\PDM1\HRPTMC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPTMC_USERDISPROW') 
 CREATE TABLE T_HRPTMC_USERDISPROW (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FROWFIELDID BIGINT DEFAULT 0 NOT NULL,
FHIDE CHAR(1) DEFAULT '0' NOT NULL,
FFREEZE CHAR(1) DEFAULT '0' NOT NULL,
FSECONDARYHEADER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPTMC_USERDISPCOL') 
 CREATE TABLE T_HRPTMC_USERDISPCOL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCOLFIELDID BIGINT DEFAULT 0 NOT NULL,
FHIDE CHAR(1) DEFAULT '0' NOT NULL,
FFREEZE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPTMC_USERDISPINX') 
 CREATE TABLE T_HRPTMC_USERDISPINX (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FINDEXFIELDID BIGINT DEFAULT 0 NOT NULL,
FHIDE CHAR(1) DEFAULT '0' NOT NULL,
FFREEZE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPTMC_USERDISPROW_L') 
 CREATE TABLE T_HRPTMC_USERDISPROW_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSECONDARYHEADER NVARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HRPTMC_table.sql **/
